%define snap    20070831
%define major   0

%define libname %mklibname edit %{major}
%define libnamedevel %mklibname edit -d
%define libnamestaticdevel %mklibname edit -d -s

Name:           libedit
Version:        2.10
Release:        %mkrel 0.%{snap}.1
Epoch:          0
Summary:        Provides generic line editing functions similar to those found in GNU Readline
License:        BSD-style
Group:          System/Libraries
URL:            http://www.thrysoee.dk/editline/
Source0:        http://www.thrysoee.dk/editline/%{name}-%{snap}-%{version}.tar.gz
BuildRequires:  ncurses-devel

%description
This is an autotool- and libtoolized port of the NetBSD Editline library 
(libedit). This Berkeley-style licensed command line editor library 
provides generic line editing, history, and tokenization functions, 
similar to those found in GNU Readline.

%package -n %{libname}
Group:          System/Libraries
Summary:        Provides generic line editing functions similar to those found in GNU Readline

%description -n %{libname}
This is an autotool- and libtoolized port of the NetBSD Editline library 
(libedit). This Berkeley-style licensed command line editor library 
provides generic line editing, history, and tokenization functions, 
similar to those found in GNU Readline.

%package -n %{libnamedevel}
Summary:        Development files for %{rname}
Group:          Development/C
Obsoletes:      edit-devel < %{epoch}:%{version}-%{release}
Provides:       edit-devel = %{epoch}:%{version}-%{release}
Requires:       %{libname} = %{epoch}:%{version}-%{release}
Requires:       ncurses-devel
Obsoletes:	%{libname}-devel
Obsoletes:      editline < %{epoch}:%{version}-%{release}
Provides:       editline = %{epoch}:%{version}-%{release}
Obsoletes:      libeditline0

%description -n %{libnamedevel}
This is an autotool- and libtoolized port of the NetBSD Editline
library (libedit). This Berkeley-style licensed command line
editor library provides generic line editing, history, and
tokenization functions, similar to those found in GNU Readline.

This package contains development files for %{rname}.

%package -n %{libnamestaticdevel}
Summary:        Static development files for %{rname}
Group:          Development/C
Provides:       edit-static-devel = %{epoch}:%{version}-%{release}
Requires:       %{libnamedevel} = %{epoch}:%{version}-%{release}
Obsoletes:      libeditline-devel < %{epoch}:%{version}-%{release}
Provides:       libeditline-devel = %{epoch}:%{version}-%{release}
Obsoletes:      libeditline0-devel
Obsoletes:      editline-devel


%description -n %{libnamestaticdevel}
This is an autotool- and libtoolized port of the NetBSD Editline
library (libedit). This Berkeley-style licensed command line
editor library provides generic line editing, history, and
tokenization functions, similar to those found in GNU Readline.

This package contains static development files for %{rname}.

%prep
%setup -q -n %{name}-%{snap}-%{version}

%build
%{configure2_5x}
%{make}

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std}

# Allows us to include the examples in separate %%doc directory
%{_bindir}/find examples -type f ! -name "*.c" | %{_bindir}/xargs %{__rm}
%{__rm} -r examples/.{deps,libs}

%clean
%{__rm} -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(0644,root,root,0755)
%doc ChangeLog INSTALL THANKS
%defattr(-,root,root,0755)
%{_libdir}/*.so.*

%files -n %{libnamedevel}
%defattr(0644,root,root,0755)
%doc examples patches
%defattr(-,root,root,0755)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/pkgconfig/libedit.pc

%files
%defattr(0644,root,root,0755)
%doc ChangeLog INSTALL THANKS
%{_mandir}/man3/*
%{_mandir}/man5/*

%files -n %{libnamestaticdevel}
%defattr(-,root,root,0755)
%{_libdir}/*.a


%changelog
* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.10-0.20070831.1mdv2008.1
+ Revision: 128553
- kill re-definition of %%buildroot on Pixel's request

* Fri Aug 31 2007 David Walluck <walluck@mandriva.org> 0:2.10-0.20070831.1mdv2008.0
+ Revision: 76614
- Editline 20070831-2.10

* Tue Aug 21 2007 Olivier Thauvin <nanardon@mandriva.org> 0:2.10-0.20070813.3mdv2008.0
+ Revision: 68535
- split man into separated pkg to allow biarch
- obsoletes editline, which is same things

* Thu Aug 16 2007 Funda Wang <fundawang@mandriva.org> 0:2.10-0.20070813.2mdv2008.0
+ Revision: 64116
- Obsoletes old devel

* Tue Aug 14 2007 David Walluck <walluck@mandriva.org> 0:2.10-0.20070813.1mdv2008.0
+ Revision: 62856
- 20070813-2.10
- update to new lib policy
- add static-devel package
- no more need for manpage fix
- remove executable permissions on scripts in %%doc


* Mon Mar 12 2007 David Walluck <walluck@mandriva.org> 0:2.10-0.20070302.1mdv2007.1
+ Revision: 141588
- 20070302-2.10

* Fri Dec 08 2006 Oden Eriksson <oeriksson@mandriva.com> 0:2.9-0.20060603.2mdv2007.1
+ Revision: 93749
- Import libedit

* Mon Jun 05 2006 David Walluck <walluck@mandriva.org> 0:2.9-0.20060213.2mdv2007.0
- 20060603

* Tue Feb 21 2006 David Walluck <walluck@mandriva.org> 0:2.9-0.20060213.1mdk
- 20060213

* Fri Feb 10 2006 David Walluck <walluck@mandriva.org> 0:2.9-0.20060103.1mdk
- 20060103
- add Requires(post{,un}): /sbin/ldconfig
- add Provides: %%{_lib}edit-devel

* Sun Oct 23 2005 David Walluck <walluck@mandriva.org> 0:2.9-0.20051022.1mdk
- 20051022
- update summary
- change license from BSD to BSD-style
- remove unnecessary BuildRequires
- %%version=%%release -> %%{version}-%%{release}
- use %%make and %%makeinstall
- no need to test %%{buildroot} = "/"
- add patches to devel docs

* Fri Jun 03 2005 David Walluck <walluck@mandriva.org> 2.9-0.20050601.1mdk
- 20050601

* Sun May 08 2005 Olivier Thauvin <nanardon@mandriva.org> 2.9-0.20041127.4mdk
- fix specfile

* Sun Jan 09 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.9-0.20041127.3mdk
- drop the readline-devel conflict as it brought circular dependencies hell

* Mon Jan 03 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.9-0.20041127.2mdk
- add a conflict on readline-devel, as this one seems to be picked up first 
  if installed, when for example building postgresql, honeyd, etc.

* Tue Nov 30 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.9-0.20041127.1mdk
- 20041127

* Mon Nov 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.9-0.20041014.1mdk
- 20041014
- drop P0, it's implemented upstream

* Sat Sep 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.9-0.20040908.2mdk
- fix funny naming

* Sat Sep 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.9-0.20040908.1mdk
- hack the soname

* Sat Sep 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.9-0.20040908.3mdk
- fix one conflicting manpage with readline-devel

* Sat Sep 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.9-0.20040908.2mdk
- make it compile on 10.0 too

* Sat Sep 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.9-0.20040908.1mdk
- initial mandrake package

